diff options
author | Jim Meyering <jim@meyering.net> | 2006-08-26 15:53:24 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2006-08-26 15:53:24 +0000 |
commit | 146af5fb139a5c45c12bd40c6114cd842b3ba0c6 (patch) | |
tree | 3d1788b82328e5036903b57ff51d81462860ceb6 /tests | |
parent | 8f8f1d01884eadb85326f2bacbb80944aa01f871 (diff) | |
download | coreutils-146af5fb139a5c45c12bd40c6114cd842b3ba0c6.tar.xz |
Fix "mv --verbose --backup" so its output includes the
" (backup: foo.~1~)" suffix also when backing up a directory.
* NEWS: Report this bug fix.
* src/copy.c (emit_verbose): New function, factored out of...
(copy_internal): ...here. Use the new function.
* tests/mv/backup-dir: Test for the above fix.
Diffstat (limited to 'tests')
-rwxr-xr-x | tests/mv/backup-dir | 57 |
1 files changed, 57 insertions, 0 deletions
diff --git a/tests/mv/backup-dir b/tests/mv/backup-dir new file mode 100755 index 000000000..ea2c6b7d3 --- /dev/null +++ b/tests/mv/backup-dir @@ -0,0 +1,57 @@ +#!/bin/sh +# Ensure "mv --verbose --backup" works the same for dirs and non-dirs. + +# Copyright (C) 2006 Free Software Foundation, Inc. + +# This program is free software; you can redistribute it and/or modify +# it under the terms of the GNU General Public License as published by +# the Free Software Foundation; either version 2 of the License, or +# (at your option) any later version. + +# This program is distributed in the hope that it will be useful, +# but WITHOUT ANY WARRANTY; without even the implied warranty of +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the +# GNU General Public License for more details. + +# You should have received a copy of the GNU General Public License +# along with this program; if not, write to the Free Software +# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA +# 02110-1301, USA. + +if test "$VERBOSE" = yes; then + set -x + mv --version +fi + +. $srcdir/../envvar-check +. $srcdir/../lang-default + +pwd=`pwd` +t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ +trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0 +trap '(exit $?); exit $?' 1 2 13 15 + +framework_failure=0 +mkdir -p $tmp || framework_failure=1 +cd $tmp || framework_failure=1 + +mkdir A B || framework_failure=1 +touch X Y || framework_failure=1 + +if test $framework_failure = 1; then + echo "$0: failure in testing framework" 1>&2 + (exit 1); exit 1 +fi + +fail=0 + +# Before coreutils-6.2, the " (backup: `B.~1~')" suffix was not printed. +mv --verbose --backup=numbered -T A B > out || fail=1 +cat <<\EOF > exp || fail=1 +`A' -> `B' (backup: `B.~1~') +EOF + +cmp out exp || fail=1 +test $fail = 1 && diff out exp 2> /dev/null + +(exit $fail); exit $fail |